summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/python-r1.eclass')
-rw-r--r--eclass/python-r1.eclass7
1 files changed, 1 insertions, 6 deletions
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index f9a9e9465b40..469c3014abfb 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -740,12 +740,7 @@ python_setup() {
# if python_check_deps() is declared, switch into any-of mode
if [[ ${has_check_deps} ]]; then
- # first check if the interpreter is installed
- python_is_installed "${impl}" || continue
- # then run python_check_deps
- local PYTHON_USEDEP="python_targets_${impl}(-)"
- local PYTHON_SINGLE_USEDEP="python_single_target_${impl}(-)"
- python_check_deps || continue
+ _python_run_check_deps "${impl}" || continue
fi
found=1